petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutGetRange

gets the range of values owned by this process

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetRange(PetscLayout map,PetscInt *rstart,PetscInt *rend)

Not Collective Many br

### Input Parameters

map -pointer to the map Many br

### Output Parameters

| rstart | - first index owned by this process Many br
| rend | - one more than the last index owned by this process Many br

Many br

### Notes

Call this after the call to PetscLayoutSetUp() Many br

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(),
PetscLayoutGetSize(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetSize(), PetscLayoutSetUp() Many br

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages